% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Propagate a Gaussian parameter with ABCD matrix formalism
%
% q2 = ABCD(M, q1)
%
%     M  = ABCD matrix
%     q1 = input Gaussia parameter
%
%     q2 = output Gaussia parameter
%

function q2 = ABCD(M, q1)
    q2 = (M(1,1) * q1 + M(1,2)) / (M(2,1) * q1 + M(2,2));
    
