% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Used as auxiliary function to compute optimal SRC tuning for having good
% sensitivity at 300 Hz
%
% t = maximize_sens(itf, phi)
%
%      itf = interferometer structure
%      phi = signal recycling tuning
%

function t = maximize_sens(itf, phi)
    f0 = 318; 
    itf.phi_src = phi;
    t1 = darm_signal(itf,-f0);
    t = abs(t1(1)); 
